Index: pvfs2/configure
diff -c pvfs2/configure:1.323.6.13 pvfs2/configure:1.323.6.15
*** pvfs2/configure:1.323.6.13	Thu Mar 15 11:52:04 2007
--- pvfs2/configure	Fri May 11 14:22:43 2007
***************
*** 7850,7856 ****
  
  	NOSTDINCFLAGS="-Werror-implicit-function-declaration -nostdinc -isystem `$CC -print-file-name=include`"
  
! 	CFLAGS="$USR_CFLAGS $NOSTDINCFLAGS -I$lk_src/include -I$lk_src/include/asm-i386/mach-generic -I$lk_src/include/asm-i386/mach-default -DKBUILD_STR(s)=#s -DKBUILD_BASENAME=KBUILD_STR(empty)  -DKBUILD_MODNAME=KBUILD_STR(empty) -imacros $lk_src/include/linux/autoconf.h"
  
  
  	{ echo "$as_me:$LINENO: checking for i_size_write in kernel" >&5
--- 7850,7856 ----
  
  	NOSTDINCFLAGS="-Werror-implicit-function-declaration -nostdinc -isystem `$CC -print-file-name=include`"
  
! 	CFLAGS="$USR_CFLAGS $NOSTDINCFLAGS -I$lk_src/include -I$lk_src/include/asm/mach-default -DKBUILD_STR(s)=#s -DKBUILD_BASENAME=KBUILD_STR(empty)  -DKBUILD_MODNAME=KBUILD_STR(empty) -imacros $lk_src/include/linux/autoconf.h"
  
  
  	{ echo "$as_me:$LINENO: checking for i_size_write in kernel" >&5
***************
*** 9136,9143 ****
  rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  	fi
  
! 			        tmp_cflags=$CFLAGS
! 	CFLAGS="$CFLAGS -Werror -Wno-pointer-sign"
  		{ echo "$as_me:$LINENO: checking if statfs callbacks' arguments in kernel has struct dentry argument" >&5
  echo $ECHO_N "checking if statfs callbacks' arguments in kernel has struct dentry argument... $ECHO_C" >&6; }
  			cat >conftest.$ac_ext <<_ACEOF
--- 9136,9153 ----
  rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  	fi
  
! 				if test "x$GCC" = "xyes" ; then
! 		{ echo "$as_me:$LINENO: checking for gcc major version" >&5
! echo $ECHO_N "checking for gcc major version... $ECHO_C" >&6; }
! 		gcc_version=`$CC --version| head -1 | tr . ' ' | cut -d ' ' -f 3`
! 		{ echo "$as_me:$LINENO: result: $gcc_version" >&5
! echo "${ECHO_T}$gcc_version" >&6; }
! 		if test $gcc_version -gt 3 ; then
! 			extra_gcc_flags="-Wno-pointer-sign -Wno-strict-aliasing -Wno-strict-aliasing=2"
! 		fi
! 	fi
!         tmp_cflags=$CFLAGS
! 	CFLAGS="$CFLAGS -Werror $extra_gcc_flags"
  		{ echo "$as_me:$LINENO: checking if statfs callbacks' arguments in kernel has struct dentry argument" >&5
  echo $ECHO_N "checking if statfs callbacks' arguments in kernel has struct dentry argument... $ECHO_C" >&6; }
  			cat >conftest.$ac_ext <<_ACEOF
***************
*** 10698,10703 ****
--- 10708,10771 ----
  
  rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  
+ 		{ echo "$as_me:$LINENO: checking for two arguments to register_sysctl_table" >&5
+ echo $ECHO_N "checking for two arguments to register_sysctl_table... $ECHO_C" >&6; }
+ 	cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+ 		#define __KERNEL__
+ 		#include <linux/sysctl.h>
+ 		#include <linux/proc_fs.h>
+ 
+ int
+ main ()
+ {
+ 
+ 		register_sysctl_table(NULL, 0);
+ 
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (ac_try="$ac_compile"
+ case "(($ac_try" in
+   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+   *) ac_try_echo=$ac_try;;
+ esac
+ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+   (eval "$ac_compile") 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } && {
+ 	 test -z "$ac_c_werror_flag" ||
+ 	 test ! -s conftest.err
+        } && test -s conftest.$ac_objext; then
+   { echo "$as_me:$LINENO: result: yes" >&5
+ echo "${ECHO_T}yes" >&6; }
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_TWO_ARG_REGISTER_SYSCTL_TABLE 1
+ _ACEOF
+ 
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ 	{ echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+ 
+ fi
+ 
+ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+ 
  	CFLAGS=$oldcflags
  
  
***************
*** 11759,11764 ****
--- 11827,11891 ----
  
  rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  
+         { echo "$as_me:$LINENO: checking for berkeley db get_pagesize function" >&5
+ echo $ECHO_N "checking for berkeley db get_pagesize function... $ECHO_C" >&6; }
+     cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+     #include <db.h>
+ 
+ int
+ main ()
+ {
+ 
+     int ret = 0;
+     DB *db = NULL;
+     int pagesize;
+ 
+     ret = db->get_pagesize(db, &pagesize);
+ 
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (ac_try="$ac_compile"
+ case "(($ac_try" in
+   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+   *) ac_try_echo=$ac_try;;
+ esac
+ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+   (eval "$ac_compile") 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } && {
+ 	 test -z "$ac_c_werror_flag" ||
+ 	 test ! -s conftest.err
+        } && test -s conftest.$ac_objext; then
+   { echo "$as_me:$LINENO: result: yes" >&5
+ echo "${ECHO_T}yes" >&6; }
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_DB_GET_PAGESIZE 1
+ _ACEOF
+ 
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ 	{ echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+ fi
+ 
+ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+ 
      CFLAGS="$oldcflags"
  
  else
***************
*** 12383,12388 ****
--- 12510,12574 ----
  
  cat >>confdefs.h <<\_ACEOF
  #define HAVE_DB_BUFFER_SMALL 1
+ _ACEOF
+ 
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ 	{ echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+ fi
+ 
+ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+ 
+         { echo "$as_me:$LINENO: checking for berkeley db get_pagesize function" >&5
+ echo $ECHO_N "checking for berkeley db get_pagesize function... $ECHO_C" >&6; }
+     cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+     #include <db.h>
+ 
+ int
+ main ()
+ {
+ 
+     int ret = 0;
+     DB *db = NULL;
+     int pagesize;
+ 
+     ret = db->get_pagesize(db, &pagesize);
+ 
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (ac_try="$ac_compile"
+ case "(($ac_try" in
+   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+   *) ac_try_echo=$ac_try;;
+ esac
+ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+   (eval "$ac_compile") 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } && {
+ 	 test -z "$ac_c_werror_flag" ||
+ 	 test ! -s conftest.err
+        } && test -s conftest.$ac_objext; then
+   { echo "$as_me:$LINENO: result: yes" >&5
+ echo "${ECHO_T}yes" >&6; }
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_DB_GET_PAGESIZE 1
  _ACEOF
  
  else
Index: pvfs2/pvfs2-config.h.in
diff -c pvfs2/pvfs2-config.h.in:1.88.6.9 pvfs2/pvfs2-config.h.in:1.88.6.10
*** pvfs2/pvfs2-config.h.in:1.88.6.9	Thu Apr  5 11:49:34 2007
--- pvfs2/pvfs2-config.h.in	Fri May 11 12:26:56 2007
***************
*** 183,191 ****
  /* Define to 1 if you have the <mntent.h,> header file. */
  #undef HAVE_MNTENT_H_
  
- /* Define to 1 if you have the <mntent.h,> header file. */
- #undef HAVE_MNTENT_H_
- 
  /* Use the MPE profiling library */
  #undef HAVE_MPE
  
--- 183,188 ----
***************
*** 290,295 ****
--- 287,295 ----
  
  /* Define to 1 if you have the <sys/xattr.h> header file. */
  #undef HAVE_SYS_XATTR_H
+ 
+ /* Define if register_sysctl_table takes two arguments */
+ #undef HAVE_TWO_ARG_REGISTER_SYSCTL_TABLE
  
  /* Define if DB open function takes a txnid parameter */
  #undef HAVE_TXNID_PARAMETER_TO_DB_OPEN
Index: pvfs2/maint/config/kernel.m4
diff -c pvfs2/maint/config/kernel.m4:1.21.6.10 pvfs2/maint/config/kernel.m4:1.21.6.13
*** pvfs2/maint/config/kernel.m4:1.21.6.10	Thu Mar 15 11:52:14 2007
--- pvfs2/maint/config/kernel.m4	Fri May 11 14:22:51 2007
***************
*** 15,21 ****
  
  	NOSTDINCFLAGS="-Werror-implicit-function-declaration -nostdinc -isystem `$CC -print-file-name=include`"
  
! 	CFLAGS="$USR_CFLAGS $NOSTDINCFLAGS -I$lk_src/include -I$lk_src/include/asm-i386/mach-generic -I$lk_src/include/asm-i386/mach-default -DKBUILD_STR(s)=#s -DKBUILD_BASENAME=KBUILD_STR(empty)  -DKBUILD_MODNAME=KBUILD_STR(empty) -imacros $lk_src/include/linux/autoconf.h"
  
  
  	AC_MSG_CHECKING(for i_size_write in kernel)
--- 15,21 ----
  
  	NOSTDINCFLAGS="-Werror-implicit-function-declaration -nostdinc -isystem `$CC -print-file-name=include`"
  
! 	CFLAGS="$USR_CFLAGS $NOSTDINCFLAGS -I$lk_src/include -I$lk_src/include/asm/mach-default -DKBUILD_STR(s)=#s -DKBUILD_BASENAME=KBUILD_STR(empty)  -DKBUILD_MODNAME=KBUILD_STR(empty) -imacros $lk_src/include/linux/autoconf.h"
  
  
  	AC_MSG_CHECKING(for i_size_write in kernel)
***************
*** 351,358 ****
  	dnl we need the compiler to error on warnings about prototypes, but
  	dnl certain Fedora FC5 kernel header files throw extra (spurious)
  	dnl warnings, which -Wno-pointer-sign silences.	
          tmp_cflags=$CFLAGS
! 	CFLAGS="$CFLAGS -Werror -Wno-pointer-sign"
  	dnl if this test passes, there is a struct dentry* argument
  	AC_MSG_CHECKING(if statfs callbacks' arguments in kernel has struct dentry argument)
  	dnl if this test passes, the kernel has it
--- 351,366 ----
  	dnl we need the compiler to error on warnings about prototypes, but
  	dnl certain Fedora FC5 kernel header files throw extra (spurious)
  	dnl warnings, which -Wno-pointer-sign silences.	
+ 	if test "x$GCC" = "xyes" ; then
+ 		AC_MSG_CHECKING(for gcc major version)
+ 		gcc_version=`$CC --version| head -1 | tr . ' ' | cut -d ' ' -f 3`
+ 		AC_MSG_RESULT($gcc_version)
+ 		if test $gcc_version -gt 3 ; then
+ 			extra_gcc_flags="-Wno-pointer-sign -Wno-strict-aliasing -Wno-strict-aliasing=2"
+ 		fi
+ 	fi
          tmp_cflags=$CFLAGS
! 	CFLAGS="$CFLAGS -Werror $extra_gcc_flags"
  	dnl if this test passes, there is a struct dentry* argument
  	AC_MSG_CHECKING(if statfs callbacks' arguments in kernel has struct dentry argument)
  	dnl if this test passes, the kernel has it
***************
*** 703,708 ****
--- 711,730 ----
  	],
  	AC_MSG_RESULT(yes)
  	AC_DEFINE(HAVE_KZALLOC, 1, Define if kzalloc exists),
+ 	AC_MSG_RESULT(no)
+ 	)
+ 
+ 	dnl Check for two arg register_sysctl_table()
+ 	AC_MSG_CHECKING(for two arguments to register_sysctl_table)
+ 	AC_TRY_COMPILE([
+ 		#define __KERNEL__
+ 		#include <linux/sysctl.h>
+ 		#include <linux/proc_fs.h>
+ 	], [
+ 		register_sysctl_table(NULL, 0);
+ 	],
+ 	AC_MSG_RESULT(yes)
+ 	AC_DEFINE(HAVE_TWO_ARG_REGISTER_SYSCTL_TABLE, 1, Define if register_sysctl_table takes two arguments),
  	AC_MSG_RESULT(no)
  	)
  
Index: pvfs2/src/kernel/linux-2.6/pvfs2-proc.c
diff -c pvfs2/src/kernel/linux-2.6/pvfs2-proc.c:1.6 pvfs2/src/kernel/linux-2.6/pvfs2-proc.c:1.6.20.1
*** pvfs2/src/kernel/linux-2.6/pvfs2-proc.c:1.6	Thu Aug 10 15:02:24 2006
--- pvfs2/src/kernel/linux-2.6/pvfs2-proc.c	Fri May 11 12:26:59 2007
***************
*** 260,333 ****
  };
  static int min_debug[] = {0}, max_debug[] = {GOSSIP_MAX_DEBUG};
  static int min_op_timeout_secs[] = {0}, max_op_timeout_secs[] = {INT_MAX};
  static ctl_table pvfs2_acache_table[] = {
      /* controls acache timeout */
!     {1, "timeout-msecs", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &acache_timeout_extra, NULL},
      /* controls acache hard limit */
!     {2, "hard-limit", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &acache_hard_extra, NULL},
      /* controls acache soft limit */
!     {3, "soft-limit", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &acache_soft_extra, NULL},
      /* controls acache reclaim percentage */
!     {4, "reclaim-percentage", NULL, sizeof(int), 
!         0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &acache_rec_extra, NULL},
      {0}
  };
  static ctl_table pvfs2_ncache_table[] = {
      /* controls ncache timeout */
!     {1, "timeout-msecs", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &ncache_timeout_extra, NULL},
      /* controls ncache hard limit */
!     {2, "hard-limit", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &ncache_hard_extra, NULL},
      /* controls ncache soft limit */
!     {3, "soft-limit", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &ncache_soft_extra, NULL},
      /* controls ncache reclaim percentage */
!     {4, "reclaim-percentage", NULL, sizeof(int), 
!         0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &ncache_rec_extra, NULL},
      {0}
  };
  static int acache_perf_count = PVFS2_PERF_COUNT_REQUEST_ACACHE;
  static int ncache_perf_count = PVFS2_PERF_COUNT_REQUEST_NCACHE;
  static ctl_table pvfs2_pc_table[] = {
!     {1, "acache", NULL, 4096, 0444, NULL,
!         pvfs2_pc_proc_handler, NULL, NULL, &acache_perf_count, NULL},
!     {2, "ncache", NULL, 4096, 0444, NULL,
!         pvfs2_pc_proc_handler, NULL, NULL, &ncache_perf_count, NULL},
      {0}
  };
  static ctl_table pvfs2_table[] = {
      /* controls debugging level */
!     {1, "debug", &gossip_debug_mask, sizeof(int), 0644, NULL,
!         &proc_dointvec_minmax, &sysctl_intvec,
!         NULL, &min_debug, &max_debug},
      /* operation timeout */
!     {2, "op-timeout-secs", &op_timeout_secs, sizeof(int), 0644, NULL,
!         &proc_dointvec_minmax, &sysctl_intvec,
!         NULL, &min_op_timeout_secs, &max_op_timeout_secs},
      /* time interval for client side performance counters */
!     {3, "perf-time-interval-secs", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &perf_time_interval_extra, NULL},
      /* time interval for client side performance counters */
!     {4, "perf-history-size", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &perf_history_size_extra, NULL},
      /* reset performance counters */
!     {5, "perf-counter-reset", NULL, sizeof(int), 0644, NULL,
!         &pvfs2_param_proc_handler, NULL, NULL, &perf_reset_extra, NULL},
      /* subdir for acache control */
!     {6, "acache", NULL, 0, 0555, pvfs2_acache_table},
!     {7, "perf-counters", NULL, 0, 0555, pvfs2_pc_table},
      /* subdir for ncache control */
!     {8, "ncache", NULL, 0, 0555, pvfs2_ncache_table},
      {0}
  };
  static ctl_table fs_table[] = {
!     {1, "pvfs2", NULL, 0, 0555, pvfs2_table},
      {0}
  };
  #endif
--- 260,449 ----
  };
  static int min_debug[] = {0}, max_debug[] = {GOSSIP_MAX_DEBUG};
  static int min_op_timeout_secs[] = {0}, max_op_timeout_secs[] = {INT_MAX};
+ 
  static ctl_table pvfs2_acache_table[] = {
      /* controls acache timeout */
!     {
!         .ctl_name = 1,
!         .procname = "timeout-msecs",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &acache_timeout_extra
!     },
      /* controls acache hard limit */
!     {
!         .ctl_name = 2,
!         .procname = "hard-limit",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &acache_hard_extra
!     },
      /* controls acache soft limit */
!     {
!         .ctl_name = 3,
!         .procname = "soft-limit",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &acache_soft_extra
!     },
      /* controls acache reclaim percentage */
!     {
!         .ctl_name = 4,
!         .procname = "reclaim-percentage",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &acache_rec_extra,
!     },
      {0}
  };
  static ctl_table pvfs2_ncache_table[] = {
      /* controls ncache timeout */
!     {
!         .ctl_name = 1,
!         .procname = "timeout-msecs",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &ncache_timeout_extra
!     },
      /* controls ncache hard limit */
!     {
!         .ctl_name = 2,
!         .procname = "hard-limit",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &ncache_hard_extra
!     },
      /* controls ncache soft limit */
!     {
!         .ctl_name = 3,
!         .procname = "soft-limit",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &ncache_soft_extra
!     },
      /* controls ncache reclaim percentage */
!     {
!         .ctl_name = 4,
!         .procname = "reclaim-percentage",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &ncache_rec_extra
!     },
      {0}
  };
  static int acache_perf_count = PVFS2_PERF_COUNT_REQUEST_ACACHE;
  static int ncache_perf_count = PVFS2_PERF_COUNT_REQUEST_NCACHE;
  static ctl_table pvfs2_pc_table[] = {
!     {
!         .ctl_name = 1,
!         .procname = "acache",
!         .maxlen = 4096,
!         .mode = 0444,
!         .proc_handler = pvfs2_pc_proc_handler,
!         .extra1 = &acache_perf_count,
!     },
!     {
!         .ctl_name = 2,
!         .procname = "ncache",
!         .maxlen = 4096,
!         .mode = 0444,
!         .proc_handler = pvfs2_pc_proc_handler,
!         .extra1 = &ncache_perf_count
!     },
      {0}
  };
  static ctl_table pvfs2_table[] = {
      /* controls debugging level */
!     {
!         .ctl_name = 1,
!         .procname = "debug",
!         .data = &gossip_debug_mask,
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &proc_dointvec_minmax, 
!         .strategy = &sysctl_intvec,
!         .extra1 = &min_debug,
!         .extra2 = &max_debug
!     },
      /* operation timeout */
!     {
!         .ctl_name = 2,
!         .procname = "op-timeout-secs",
!         .data = &op_timeout_secs,
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &proc_dointvec_minmax,
!         .strategy = &sysctl_intvec,
!         .extra1 = &min_op_timeout_secs,
!         .extra2 = &max_op_timeout_secs
!     },
      /* time interval for client side performance counters */
!     {
!         .ctl_name = 3,
!         .procname = "perf-time-interval-secs",
!         .maxlen = sizeof(int), 
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &perf_time_interval_extra
!     },
      /* time interval for client side performance counters */
!     {
!         .ctl_name = 4,
!         .procname = "perf-history-size",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &perf_history_size_extra
!     },
      /* reset performance counters */
!     {
!         .ctl_name = 5,
!         .procname = "perf-counter-reset",
!         .maxlen = sizeof(int),
!         .mode = 0644,
!         .proc_handler = &pvfs2_param_proc_handler,
!         .extra1 = &perf_reset_extra,
!     },
      /* subdir for acache control */
!     {
!         .ctl_name = 6,
!         .procname = "acache",
!         .maxlen = 0,
!         .mode = 0555,
!         .child = pvfs2_acache_table
!     },
!     {
!         .ctl_name = 7,
!         .procname = "perf-counters",
!         .maxlen = 0,
!         .mode = 0555,
!         .child = pvfs2_pc_table
!     },
      /* subdir for ncache control */
!     {
!         .ctl_name = 8,
!         .procname = "ncache",
!         .maxlen = 0,
!         .mode = 0555,
!         .child = pvfs2_ncache_table
!     },
      {0}
  };
  static ctl_table fs_table[] = {
!     {
!         .ctl_name = 1,
!         .procname = "pvfs2",
!         .mode = 0555,
!         .child = pvfs2_table
!     },
      {0}
  };
  #endif
***************
*** 337,343 ****
--- 453,463 ----
  #ifdef CONFIG_SYSCTL
      if (!fs_table_header)
      {
+ #ifdef HAVE_TWO_ARG_REGISTER_SYSCTL_TABLE
          fs_table_header = register_sysctl_table(fs_table, 0);
+ #else
+         fs_table_header = register_sysctl_table(fs_table);
+ #endif
      }
  #endif
  

